From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/racc/
Date: Mon, 10 Apr 2023 09:04:09 +0000 (UTC) [thread overview]
Message-ID: <1681117402.711ab5dcbb20007552471868517ad3548e97f72c.sam@gentoo> (raw)
commit: 711ab5dcbb20007552471868517ad3548e97f72c
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 09:00:55 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 09:03:22 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=711ab5dc
dev-ruby/racc: run rake for a valid Ruby
This is a hack but given racc is needed by Ruby itself, our eselect
stuff won't have had a chance to run yet (like it does when an old
Ruby slot gets depcleaned). So, go with it to avoid breaking upgrades
during the transition :(
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/racc/racc-1.6.2.ebuild | 16 ++++++++++++----
1 file changed, 12 insertions(+), 4 deletions(-)
diff --git a/dev-ruby/racc/racc-1.6.2.ebuild b/dev-ruby/racc/racc-1.6.2.ebuild
index ecf5e73559a8..a568aa1d0569 100644
--- a/dev-ruby/racc/racc-1.6.2.ebuild
+++ b/dev-ruby/racc/racc-1.6.2.ebuild
@@ -36,10 +36,18 @@ all_ruby_prepare() {
# Avoid depending on rake-compiler since we don't use it to compile
# the extension.
- sed -i -e '/rake-compiler/ s:^:#:' -e '/extensiontask/ s:^:#:' Rakefile
- sed -i -e '/ExtensionTask/,/^ end/ s:^:#:' Rakefile
- # Which means we need to generate the parser file here
- rake lib/racc/parser-text.rb || die
+ sed -i -e '/rake-compiler/ s:^:#:' -e '/extensiontask/ s:^:#:' Rakefile || die
+ sed -i -e '/ExtensionTask/,/^ end/ s:^:#:' Rakefile || die
+
+ # ...which means we need to generate the parser file here
+ for ruby in ${USE_RUBY} ; do
+ if use ruby_targets_${ruby} ; then
+ if has_version -b "virtual/rubygems[ruby_targets_${ruby}(-)]" && has_version -b "dev-ruby/rake[ruby_targets_${ruby}(-)]" ; then
+ ${ruby} -S rake lib/racc/parser-text.rb || die
+ break
+ fi
+ fi
+ done
sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
}
next reply other threads:[~2023-04-10 9:04 UTC|newest]
Thread overview: 97+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-10 9:04 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 9:56 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/racc/ Arthur Zamarin
2024-10-10 12:20 Arthur Zamarin
2024-10-09 2:53 Jakov Smolić
2024-10-06 18:39 Arthur Zamarin
2024-10-06 14:27 Sam James
2024-10-06 13:30 Arthur Zamarin
2024-10-06 11:18 Sam James
2024-07-31 6:03 Hans de Graaff
2024-07-17 4:38 Viorel Munteanu
2024-07-11 16:19 Hans de Graaff
2024-05-25 17:31 Arthur Zamarin
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 8:17 Sam James
2024-05-20 7:07 Hans de Graaff
2024-05-20 7:07 Hans de Graaff
2023-12-16 7:58 Hans de Graaff
2023-10-12 5:19 Hans de Graaff
2023-10-12 5:19 Hans de Graaff
2023-08-04 23:15 Sam James
2023-08-02 4:27 Sam James
2023-07-24 8:54 Jakov Smolić
2023-06-08 16:17 Hans de Graaff
2023-05-16 7:20 Sven Wegener
2023-03-29 0:11 Sam James
2023-03-28 22:13 Sam James
2023-03-28 22:12 Sam James
2023-03-28 21:53 Sam James
2023-03-28 21:51 Sam James
2023-03-28 21:44 Sam James
2023-03-28 21:44 Sam James
2023-03-04 10:25 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-12-18 12:45 Sam James
2022-12-11 6:27 Hans de Graaff
2022-12-04 17:56 Arthur Zamarin
2022-12-03 18:27 Arthur Zamarin
2022-12-03 15:12 Arthur Zamarin
2022-12-03 15:01 Arthur Zamarin
2022-12-03 10:55 Sam James
2022-12-03 10:54 Sam James
2022-12-03 10:54 Sam James
2022-12-03 9:14 Hans de Graaff
2022-04-23 5:14 Hans de Graaff
2022-03-12 7:21 Hans de Graaff
2021-08-07 9:58 Hans de Graaff
2021-08-06 13:34 Sam James
2021-08-03 23:37 Sam James
2021-07-30 15:17 Agostino Sarubbo
2021-07-30 15:14 Agostino Sarubbo
2021-07-21 10:27 Marek Szuba
2021-07-19 21:37 Sergei Trofimovich
2021-07-19 6:27 Agostino Sarubbo
2021-07-19 6:26 Agostino Sarubbo
2021-07-19 6:25 Agostino Sarubbo
2021-02-07 8:24 Hans de Graaff
2020-12-31 9:05 Hans de Graaff
2020-12-28 10:26 Hans de Graaff
2020-12-28 9:21 Hans de Graaff
2020-12-28 7:46 Hans de Graaff
2020-05-10 8:46 Hans de Graaff
2019-12-26 11:06 Hans de Graaff
2019-12-22 6:18 Hans de Graaff
2019-12-20 7:21 Hans de Graaff
2019-04-27 19:48 Aaron Bauman
2019-01-29 13:43 Mikle Kolyada
2018-12-26 8:20 Hans de Graaff
2018-04-13 8:04 Hans de Graaff
2018-04-08 22:11 Matt Turner
2018-03-21 1:38 Matt Turner
2018-03-18 19:59 Markus Meier
2018-03-14 21:29 Sergei Trofimovich
2018-03-14 8:03 Sergei Trofimovich
2018-02-18 11:28 Sergei Trofimovich
2018-02-15 21:48 Michał Górny
2018-01-23 23:01 Sergei Trofimovich
2018-01-21 20:30 Thomas Deutschmann
2018-01-21 15:47 Hans de Graaff
2017-12-25 17:02 Hans de Graaff
2017-06-28 9:35 Alexis Ballier
2017-05-09 19:20 Hans de Graaff
2017-05-09 19:20 Hans de Graaff
2017-03-01 13:05 Michael Weber
2016-12-26 19:17 Hans de Graaff
2016-12-09 6:59 Hans de Graaff
2016-04-16 21:22 Manuel Rüger
2015-12-27 9:22 Hans de Graaff
2015-11-25 6:21 Hans de Graaff
2015-10-17 5:47 Hans de Graaff
2015-10-03 8:35 Hans de Graaff
2015-08-24 5:03 Jeroen Roovers
2015-08-09 16:03 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1681117402.711ab5dcbb20007552471868517ad3548e97f72c.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox